Orders

History

GET
/api/oms/history

to get an order history of an order

Query Parameters

orderId*string

Order id of an order. This will be received in orders response

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oms/history?orderId=string" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": {
    "orderId": "210115000000001",
    "status": "filled",
    "avgPrice": 2450.75,
    "totalFillQty": 10,
    "history": [
      {
        "msg": "Order placed",
        "fillPrice": 0,
        "fillQty": 0,
        "time": "09:15:00"
      },
      {
        "msg": "Order filled",
        "fillId": "210115000000001-1",
        "fillPrice": 2450.75,
        "fillQty": 10,
        "time": "09:32:15"
      }
    ]
  }
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}